-- Lattice theory
-- Author:: Thierry Coquand

-- # import Property

D : Set
(<=) : D -> D -> Prop
(/-\) : D -> D -> D

infix 6 <=
infix 7 /-\

ax1 : (x : D) -> x <= x
ax2 : (x : D) -> (y : D) -> (z : D) ->
	  z <= x /-\ y	    <=>
	  z <= x /\ z <= y

p : (x : D) -> (y : D) -> x /-\ y <= x
p = fol-plugin (ax1, ax2)

p' : (x : D) -> (y : D) -> x /-\ y <= x
p' = \x -> \y -> fol-plugin (ax1, ax2)

