-- Bug: the typechecker should refute the definition of refl claiming that the
--	pattern A cannot be justified (patterns cannot shadow anything). Same thing
--      with f.
-- Status: Fixed

A : Set
B : Set

(==) (X:Set) : X -> X -> Prop

refl : Set -> Prop
refl A = (x:A) -> x == x

data Nat : Set where
  zero : Nat
  suc  : Nat -> Nat

(+) : Nat -> Nat -> Nat

f : Nat -> Nat -> Nat
f (n + n) n = n

